/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: RulePackageEvent.as 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.rules.common.event
{
import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;

import org.ow2.jasmine.monitoring.eos.rules.common.vo.rulepackage.IRulePackageVO;


/**
 * An event type to carry rule packages
 * 
 * @author Julien Nicoulaud
 */
public class RulePackageEvent extends CairngormEvent
{

    // =====================================================================
    // Variables
    // =====================================================================
    
    // Event types
    
    public static var SAVE_RULE_PACKAGE:String = "saveRulePackage";
    public static var SAVE_AND_CLOSE_RULE_PACKAGE:String = "saveAndCloseRulePackage";


    // Event variables
    
    public var rulePackage : IRulePackageVO;
    

    // =====================================================================
    // Initialization
    // =====================================================================
    
    /**
    * Creates a new RulePackageEvent
    */
    public function RulePackageEvent(type:String,
                                     rulePackage:IRulePackageVO)
    {
        super(type);
        this.rulePackage = rulePackage;
    }
    
    
    // =====================================================================
    // Utils
    // =====================================================================
    
    /**
    * Clone a RulePackageEvent
    */
    override public function clone() : Event
    {
        return new RulePackageEvent(this.type,
                                    this.rulePackage);
    }

}
}
